import { ReactNode, SetStateAction } from 'react';
import { Time } from '../../utils/TimeHelper';
export declare type ClockMode = 'view' | 'view-realtime' | 'edit-hour' | 'edit-minute';
export declare type ViewStyle = 'line' | 'hourText';
export declare const clockMarks: number[];
export declare const minutesMarks: number[];
export declare const defaultHourMarks: string[];
export declare const defaultMinuteMarks: string[];
export declare const markRadius = 252;
export declare const activeCircleRadius = 32;
export declare const computeRealtimeClock: (setState: (value: SetStateAction<Time>) => void) => void;
export declare const normalizeHour: (hour: number) => number;
export declare const indexizeHour: (hour: number) => number;
export declare const calcMajorDeg: (hour: number) => number;
export declare const calcMinorDeg: (minute: number) => number;
export declare const calcTouchPointAngle: (centerPoint: DOMRect, touchX: number, touchY: number) => number;
export declare type CalcTouch = (centerPoint: DOMRect, touchX: number, touchY: number) => number;
export declare const calcTouchHours: CalcTouch;
export declare const calcTouchMinutes: CalcTouch;
export declare const switchMode: (mode: ClockMode, renderView: () => ReactNode, renderViewRealtime: () => ReactNode, renderEditHour: () => ReactNode, renderEditMinute: () => ReactNode) => ReactNode;
